Page MenuHomePhabricator

Remove parser cache purging hook from mediawiki-config
Closed, ResolvedPublicOct 15 2018

Description

Remove the fix for T205330

Once 22 days have expired from the 1.32.0-wmf.22 deploy we should remove from operations-mediawiki-config.

I.E. After 8pm UTC on Friday the 11Oct. Or more sensibly during the week of October 15th.

// T205330: Purge wikidatawiki parser output from before 2018-09-19 20:00
if ( $wgDBname === 'wikidatawiki' ) {
	$wgHooks['RejectParserCacheValue'][] = function ( $value, $wikiPage, $popts ) {
		if ( $value->expired( '20180919200000' ) ) {
			return false;
		}
		return true;
	};
}

Details

Event Timeline

Tarrow created this task.Sep 27 2018, 9:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2018, 9:58 AM
Addshore set Due Date to Oct 15 2018, 10:00 AM.Sep 27 2018, 10:44 AM
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptSep 27 2018, 10:44 AM
Addshore moved this task from incoming to ready to go on the Wikidata board.Sep 28 2018, 7:05 AM
Addshore triaged this task as Low priority.Oct 8 2018, 10:55 AM

Picking this up as I'll be able to do it at the same time as the Senses related deploys this week

Restricted Application added a project: User-Addshore. · View Herald TranscriptOct 15 2018, 11:58 AM
Addshore moved this task from ready to go to in progress on the Wikidata board.

Change 467913 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Remove Wikidaat RejectParserCacheValue hook

https://gerrit.wikimedia.org/r/467913

Change 467913 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove Wikidata RejectParserCacheValue hook

https://gerrit.wikimedia.org/r/467913

Mentioned in SAL (#wikimedia-operations) [2018-10-17T11:15:13Z] <addshore@deploy1001> Synchronized wmf-config/CommonSettings.php: SWAT: T205611 T205330 Remove Wikidata RejectParserCacheValue hook [[gerrit:467913]] (duration: 00m 56s)